#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	CSV_XS
Summary:	Text::CSV_XS - comma-separated values manipulation routines
Summary(pl.UTF-8):	Text::CSV_XS - operacje na wartościach oddzielonych przecinkami
Name:		perl-Text-CSV_XS
Version:	1.14
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	d4a198b0c0252392d378db7b323695d7
URL:		http://search.cpan.org/dist/Text-CSV_XS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::CSV_XS Perl module provides facilities for the composition and
decomposition of comma-separated values. An instance of the
Text::CSV_XS class can combine fields into a CSV string and parse a
CSV string into fields.

%description -l pl.UTF-8
Moduł Perla Text::CSV_XS udostępnia metody do składania i rozkładania
wartości oddzielonych przecinkami. Instancja klasy Text::CSV_CS
potrafi łączyć pola w łańcuch CSV oraz rozkładać łańcuch CSV na pola.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/CSV_XS.pm
%dir %{perl_vendorarch}/auto/Text/CSV_XS
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.so
%{_mandir}/man3/Text::CSV_XS.3pm*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-CSV_XS.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> aef2467
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e1e5a4
- updated to 1.14

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 77e6c87
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0fa68e9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8d28b23
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 6247fc2
- updated to 1.01

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 1ea5da5
- up to 0.98

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0fbe863
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> af2d10d
- up to 0.85

* Tue Jul 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 68331fa
- updated to 0.82

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 586a156
- release 4

* Thu Jul 15 2010 Elan Ruusamäe <glen@pld-linux.org> db37c61
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 030e257
- release 2

* Wed Nov 11 2009 amateja <amateja@pld-linux.org> eae496e
- updated to 0.69

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> f2ea8bb
- updated to 0.67

* Fri Jan 16 2009 radek <radek@pld-linux.org> 35c177e
- version 0.58

* Sun May 11 2008 hawk <hawk@pld-linux.org> 2488bda
- updated to 0.45

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 658dfc5
- up to 0.37

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 0f8d4cc
- sane make install

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 9081c1d
- informative summaries

